<?php
/**
 * @package Demo Import
 * @since 1.0.0
 */

class ThemeWhizzie {

	protected $version = '1.1.0';

	/** @var string Current theme name, used as namespace in actions. */
	protected $theme_name = '';
	protected $theme_title = '';

	/** @var string Demo Import page slug and title. */
	protected $page_slug = '';
	protected $page_title = '';

	/** @var array Demo Import steps set by user. */
	protected $config_steps = array();
	public $parent_slug;
	/**
	 * Constructor
	 *
	 * @param $wildlife_photography_config	Our config parameters
	*/
	public function __construct( $wildlife_photography_config ) {
		$this->set_vars( $wildlife_photography_config );
		$this->init();
	}

	/**
	 * Set some settings
	 * @since 1.0.0
	 * @param $wildlife_photography_config	Our config parameters
	*/
	public function set_vars( $wildlife_photography_config ) {
		if( isset( $wildlife_photography_config['page_slug'] ) ) {
			$this->page_slug = esc_attr( $wildlife_photography_config['page_slug'] );
		}
		if( isset( $wildlife_photography_config['page_title'] ) ) {
			$this->page_title = esc_attr( $wildlife_photography_config['page_title'] );
		}
		if( isset( $wildlife_photography_config['steps'] ) ) {
			$this->config_steps = $wildlife_photography_config['steps'];
		}

		$current_theme = wp_get_theme();
		$this->theme_title = $current_theme->get( 'Name' );
		$this->theme_name = strtolower( preg_replace( '#[^a-zA-Z]#', '', $current_theme->get( 'Name' ) ) );
		$this->page_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_page_slug', $this->theme_name . '-demoimport' );
		$this->parent_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_parent_slug', '' );
	}

	/**
	 * Hooks and filters
	 * @since 1.0.0
	*/
	public function init() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		add_action( 'admin_menu', array( $this, 'menu_page' ) );
		add_action( 'wp_ajax_setup_widgets', array( $this, 'setup_widgets' ) );
	}

	public function enqueue_scripts() {
		wp_enqueue_style( 'demo-import-style', get_template_directory_uri() . '/demo-import/assets/css/demo-import-style.css');
		wp_register_script( 'demo-import-script', get_template_directory_uri() . '/demo-import/assets/js/demo-import-script.js', array( 'jquery' ), time() );
		wp_localize_script(
			'demo-import-script',
			'wildlife_photography_whizzie_params',
			array(
				'ajaxurl' 		=> admin_url( 'admin-ajax.php' ),
				'wpnonce' 		=> wp_create_nonce( 'whizzie_nonce' ),
				'verify_text'	=> esc_html( 'verifying', 'wildlife-photography' )
			)
		);
		wp_enqueue_script( 'demo-import-script' );
	}

	/**  Make a modal screen for the wizard **/
	public function menu_page() {
		add_menu_page( esc_html( $this->page_title ), esc_html( $this->page_title ), 'manage_options', $this->page_slug, array( $this, 'wildlife_photography_guide' ) ,'',40);
	}

	/** Make an interface for the wizard **/
	public function wizard_page() {
		/* If we arrive here, we have the filesystem */ ?>
		<div class="wrap">
			<?php echo '<div class="whizzie-wrap">';
				// The wizard is a list with only one item visible at a time
				$steps = $this->get_steps();
				echo '<ul class="whizzie-nav wizard-icon-nav">';?>
				<?php
					$stepI=1;
					foreach( $steps as $step ) {
						$stepAct=($stepI ==1)? 1 : 0;
						if( isset( $step['icon_text'] ) && $step['icon_text'] ) {
							echo '<li class="commom-cls nav-step-' . esc_attr( $step['id'] ) . '" wizard-steps="step-'.esc_attr( $step['id'] ).'" data-enable="'.$stepAct.'">
							<p>'.esc_attr( $step['icon_text'] ).'</p>
							</li>';
						}
					$stepI++;}
			 	echo '</ul>';
				echo '<ul class="whizzie-menu wizard-menu-page">';
				foreach( $steps as $step ) {
					$class = 'step step-' . esc_attr( $step['id'] );
					echo '<li data-step="' . esc_attr( $step['id'] ) . '" class="' . esc_attr( $class ) . '" >';
						$content = call_user_func( array( $this, $step['view'] ) );
						printf('<div class="wizard-button-wrapper">');
							if( isset( $step['button_text_one'] )) {
								printf(
									'<div class="button-wrap button-wrap-one">
										<a href="#" class="button button-primary do-it" data-callback="install_widgets" data-step="widgets"><p class="demo-type-text">%s</p></a>
									</div>',
									esc_html( $step['button_text_one'] )
								);
							}
						printf('</div>');
					echo '</li>';
				}
				echo '</ul>';
				?>
				<div class="step-loading"><span class="spinner">
					<img src="<?php echo esc_url(get_template_directory_uri().'/demo-import/assets/images/Spinner-Animaion.gif'); ?>">
				</span></div>
			<?php echo '</div>';?>
		</div>
	<?php }

	/**
	 * Set options for the steps
	 * @return Array
	*/
	public function get_steps() {

		if ( get_option('wildlife_photography_demo_imported') ) {
			return array(
				'done' => array(
					'id'        => 'done',
					'title'     => __( 'All Done', 'wildlife-photography' ),
					'icon'      => 'yes',
					'view'      => 'get_step_done',
					'callback'  => '',
					'icon_text' => 'View Site'
				)
			);
		}

		$dev_steps = $this->config_steps;
		$steps = array(
			'widgets' => array(
				'id'			=> 'widgets',
				'title'			=> __( 'Customizer', 'wildlife-photography' ),
				'icon'			=> 'welcome-widgets-menus',
				'view'			=> 'get_step_widgets',
				'callback'		=> 'install_widgets',
				'button_text_one'	=> __( 'Import Demo', 'wildlife-photography' ),
				'can_skip'		=> true,
				'icon_text'      => 'Import Demo'
			),
			'done' => array(
				'id'			=> 'done',
				'title'			=> __( 'All Done', 'wildlife-photography' ),
				'icon'			=> 'yes',
				'view'			=> 'get_step_done',
				'callback'		=> '',
				'icon_text'      => 'Done'
			)
		);
		// Iterate through each step and replace with dev config values
		if( $dev_steps ) {
			// Configurable elements - these are the only ones the dev can update from config.php
			$can_config = array( 'title', 'icon', 'button_text', 'can_skip' );
			foreach( $dev_steps as $dev_step ) {
				// We can only proceed if an ID exists and matches one of our IDs
				if( isset( $dev_step['id'] ) ) {
					$id = $dev_step['id'];
					if( isset( $steps[$id] ) ) {
						foreach( $can_config as $element ) {
							if( isset( $dev_step[$element] ) ) {
								$steps[$id][$element] = $dev_step[$element];
							}
						}
					}
				}
			}
		}
		return $steps;
	}

	/**    Print the content for the intro step     **/
		public function get_step_importer() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('Thank you for choosing this Wildlife Photography Theme. Using this quick setup wizard, you will be able to configure your new website and get it running in just a few minutes. Just follow these simple steps mentioned in the wizard and get started with your website.','wildlife-photography'); ?>
			</p>
		</div>
	<?php }

	/**   Print the content for the widgets step   **/
	public function get_step_widgets() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('This theme allows you to import demo content and add widgets. Install them using the button below. You can also update or deactivate them using the Customizer.','wildlife-photography'); ?>
			</p>
		</div>
	<?php }

	/** Print the content for the final step **/
	public function get_step_done() { ?>

		<div class="setup-finish">
			<p>
				<?php echo esc_html('Your demo content has been imported successfully. Click the finish button for more information.'); ?>
			</p>
			<div class="finish-buttons">
				<a href="<?php echo esc_url( admin_url( 'themes.php?page=wildlife-photography-getstart-page' ) ); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('About Wildlife Photography','wildlife-photography') ?></a>
				<a href="<?php echo esc_url(admin_url('/customize.php')); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('Customize Your Demo','wildlife-photography') ?></a>
				<a href="<?php echo esc_url(home_url()); ?>" class="wz-btn-visit-site" target="_blank"><?php esc_html_e('Visit Your Site','wildlife-photography'); ?></a>
			</div>
			<div class="finish-buttons">
				<a href="<?php echo esc_url(admin_url()); ?>" class="button button-primary"><?php esc_html_e('Finish','wildlife-photography'); ?></a>
			</div>
		</div>

	<?php }


	public function wildlife_photography_customizer_nav_menu() {
		// ------- Create Primary Menu --------
		$wildlife_photography_themename = 'Wildlife Photography'; // Ensure the theme name is set
		$wildlife_photography_menuname = $wildlife_photography_themename . ' Primary Menu';
		$wildlife_photography_menulocation = 'menu-1';
		$wildlife_photography_menu_exists = wp_get_nav_menu_object($wildlife_photography_menuname);

		if (!$wildlife_photography_menu_exists) {
			$wildlife_photography_menu_id = wp_create_nav_menu($wildlife_photography_menuname);

			// Home
			wp_update_nav_menu_item($wildlife_photography_menu_id, 0, array(
				'menu-item-title' => __('Home', 'wildlife-photography'),
				'menu-item-classes' => 'home',
				'menu-item-url' => home_url('/'),
				'menu-item-status' => 'publish'
			));

			// About
			$wildlife_photography_page_about = get_page_by_path('about');
			if($wildlife_photography_page_about){
				wp_update_nav_menu_item($wildlife_photography_menu_id, 0, array(
					'menu-item-title' => __('About', 'wildlife-photography'),
					'menu-item-classes' => 'about',
					'menu-item-url' => get_permalink($wildlife_photography_page_about),
					'menu-item-status' => 'publish'
				));
			}

			// Services
			$wildlife_photography_page_services = get_page_by_path('services');
			if($wildlife_photography_page_services){
				wp_update_nav_menu_item($wildlife_photography_menu_id, 0, array(
					'menu-item-title' => __('Services', 'wildlife-photography'),
					'menu-item-classes' => 'services',
					'menu-item-url' => get_permalink($wildlife_photography_page_services),
					'menu-item-status' => 'publish'
				));
			}

			// Blog
			$wildlife_photography_page_blog = get_page_by_path('blog');
			if($wildlife_photography_page_blog){
				wp_update_nav_menu_item($wildlife_photography_menu_id, 0, array(
					'menu-item-title' => __('Blog', 'wildlife-photography'),
					'menu-item-classes' => 'blog',
					'menu-item-url' => get_permalink($wildlife_photography_page_blog),
					'menu-item-status' => 'publish'
				));
			}

			// Contact Us
			$wildlife_photography_page_contact = get_page_by_path('contact');
			if($wildlife_photography_page_contact){
				wp_update_nav_menu_item($wildlife_photography_menu_id, 0, array(
					'menu-item-title' => __('Contact Us', 'wildlife-photography'),
					'menu-item-classes' => 'contact',
					'menu-item-url' => get_permalink($wildlife_photography_page_contact),
					'menu-item-status' => 'publish'
				));
			}

			// Assign menu to location if not set
			if (!has_nav_menu($wildlife_photography_menulocation)) {
				$wildlife_photography_locations = get_theme_mod('nav_menu_locations');
				$wildlife_photography_locations[$wildlife_photography_menulocation] = $wildlife_photography_menu_id; // Use $wildlife_photography_menu_id here
				set_theme_mod('nav_menu_locations', $wildlife_photography_locations);
			}
		}
	}

	public function wildlife_photography_social_menu() {

		// ------- Create Social Menu --------
		$wildlife_photography_menuname = $wildlife_photography_themename . 'Social Menu';
		$wildlife_photography_menulocation = 'social-menu';
		$wildlife_photography_menu_exists = wp_get_nav_menu_object( $wildlife_photography_menuname );

		if( !$wildlife_photography_menu_exists){
			$wildlife_photography_menu_id = wp_create_nav_menu($wildlife_photography_menuname);

			wp_update_nav_menu_item( $wildlife_photography_menu_id, 0, array(
				'menu-item-title'  => __( 'Facebook', 'wildlife-photography' ),
				'menu-item-url'    => 'https://www.facebook.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $wildlife_photography_menu_id, 0, array(
				'menu-item-title'  => __( 'Pinterest', 'wildlife-photography' ),
				'menu-item-url'    => 'https://www.pinterest.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $wildlife_photography_menu_id, 0, array(
				'menu-item-title'  => __( 'Twitter', 'wildlife-photography' ),
				'menu-item-url'    => 'https://www.twitter.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $wildlife_photography_menu_id, 0, array(
				'menu-item-title'  => __( 'Youtube', 'wildlife-photography' ),
				'menu-item-url'    => 'https://www.youtube.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $wildlife_photography_menu_id, 0, array(
				'menu-item-title'  => __( 'Instagram', 'wildlife-photography' ),
				'menu-item-url'    => 'https://www.instagram.com',
				'menu-item-status' => 'publish',
			) );

			if( !has_nav_menu( $wildlife_photography_menulocation ) ){
					$locations = get_theme_mod('nav_menu_locations');
					$locations[$wildlife_photography_menulocation] = $wildlife_photography_menu_id;
					set_theme_mod( 'nav_menu_locations', $locations );
			}
		}
	}

	/**
	* Imports the Demo Content
	* @since 1.1.0
	*/
	public function setup_widgets() {

		//................................................. MENU PAGES .................................................//
		
		$wildlife_photography_home_id='';
		$wildlife_photography_home_content = '';

		$wildlife_photography_home_title = 'Home';
		$wildlife_photography_home = array(
				'post_type' => 'page',
				'post_title' => $wildlife_photography_home_title,
				'post_content'  => $wildlife_photography_home_content,
				'post_status' => 'publish',
				'post_author' => 1,
				'post_slug' => 'home'
		);
		$wildlife_photography_home_id = wp_insert_post($wildlife_photography_home);

		//Set the home page template
		add_post_meta( $wildlife_photography_home_id, '_wp_page_template', 'revolution-home.php' );

		//Set the static front page
		$wildlife_photography_home = get_page_by_title( 'Home' );
		update_option( 'page_on_front', $wildlife_photography_home->ID );
		update_option( 'show_on_front', 'page' );


		// Create a posts page and assign the template
		$wildlife_photography_blog_title = 'Blog';
		$wildlife_photography_blog_check = get_page_by_path('blog');
		if (!$wildlife_photography_blog_check) {
			$wildlife_photography_blog = array(
				'post_type'    => 'page',
				'post_title'   => $wildlife_photography_blog_title,
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'blog' // Unique slug for the blog page
			);
			$wildlife_photography_blog_id = wp_insert_post($wildlife_photography_blog);

			// Set the posts page
			if (!is_wp_error($wildlife_photography_blog_id)) {
				update_option('page_for_posts', $wildlife_photography_blog_id);
			}
		}

		// Create a Contact Us page and assign the template
		$wildlife_photography_contact_title = 'Contact Us';
		$wildlife_photography_contact_check = get_page_by_path('contact');
		if (!$wildlife_photography_contact_check) {
			$wildlife_photography_contact = array(
				'post_type'    => 'page',
				'post_title'   => $wildlife_photography_contact_title,
				'post_content'   => '"More About The Free Wildlife WordPress Theme"
									The Free Wildlife WordPress Theme is perfect for photographers eager to explore new creative frontiers. Whether you specialize in astrophotography, nature photography, or themed photography shoots, the theme’s clean and minimalist design ensures that your imagery takes center stage. Its large, high-resolution display allows every photo to shine, highlighting your unique photographic style. With integrated photography marketing tools, the Free Wildlife WordPress Theme provides an excellent platform for sharing your work across various channels, boosting visibility and engagement. Whether you\'re a seasoned professional or just starting out, the theme also supports blogging and portfolio features, making it easy to showcase your projects, tell your story, and reach a wider audience. This theme is an ideal choice for photographers looking to build a captivating online presence.

									With features tailored for photography branding, the Free Wildlife WordPress Theme empowers photographers to maintain a cohesive and professional style across their portfolios. The theme offers highly customizable headers, allowing you to display your branding in a way that aligns with your unique aesthetic. Specialized gallery options enable you to showcase your images in a visually captivating manner, whether you\'re highlighting nature photography, astrophotography, or candid shots. Ideal for photographers of all levels, this theme supports both seasoned professionals and those just starting out. If you\'re a freelance photographer, a participant in photography competitions, or simply want to share your portfolio with a broader audience, this theme makes it easy to create an engaging and visually appealing website. It’s a versatile tool for photographers looking to highlight their skills and build a strong online presence.

									Whether your focus is on candid photography, lifestyle photography, vintage photo restoration, or even astrophotography, the Free Wildlife WordPress Theme offers the flexibility to adapt to your unique needs. It combines functionality with stunning aesthetics, making it an excellent choice for photographers who want to create a lasting impression online. The theme allows you to showcase your work in various gallery styles, and with its social media integration, you can easily share your photos across platforms to reach a broader audience. Additionally, it supports customer testimonials and reviews, allowing you to build trust with potential clients. The theme is translation-ready, making it ideal for photographers serving a global audience. Whether you’re a freelancer or part of a photography collective, the Free Wildlife WordPress Theme ensures that your website looks professional and performs seamlessly, helping you excel in the dynamic world of photography websites.',
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'contact' // Unique slug for the Contact Us page
			);
			wp_insert_post($wildlife_photography_contact);
		}

		// Create a About page and assign the template
		$wildlife_photography_about_title = 'About';
		$wildlife_photography_about_check = get_page_by_path('about');
		if (!$wildlife_photography_about_check) {
			$wildlife_photography_about = array(
				'post_type'    => 'page',
				'post_title'   => $wildlife_photography_about_title,
				'post_content'   => '"More About The Free Wildlife WordPress Theme"
									The Free Wildlife WordPress Theme is perfect for photographers eager to explore new creative frontiers. Whether you specialize in astrophotography, nature photography, or themed photography shoots, the theme’s clean and minimalist design ensures that your imagery takes center stage. Its large, high-resolution display allows every photo to shine, highlighting your unique photographic style. With integrated photography marketing tools, the Free Wildlife WordPress Theme provides an excellent platform for sharing your work across various channels, boosting visibility and engagement. Whether you\'re a seasoned professional or just starting out, the theme also supports blogging and portfolio features, making it easy to showcase your projects, tell your story, and reach a wider audience. This theme is an ideal choice for photographers looking to build a captivating online presence.

									With features tailored for photography branding, the Free Wildlife WordPress Theme empowers photographers to maintain a cohesive and professional style across their portfolios. The theme offers highly customizable headers, allowing you to display your branding in a way that aligns with your unique aesthetic. Specialized gallery options enable you to showcase your images in a visually captivating manner, whether you\'re highlighting nature photography, astrophotography, or candid shots. Ideal for photographers of all levels, this theme supports both seasoned professionals and those just starting out. If you\'re a freelance photographer, a participant in photography competitions, or simply want to share your portfolio with a broader audience, this theme makes it easy to create an engaging and visually appealing website. It’s a versatile tool for photographers looking to highlight their skills and build a strong online presence.

									Whether your focus is on candid photography, lifestyle photography, vintage photo restoration, or even astrophotography, the Free Wildlife WordPress Theme offers the flexibility to adapt to your unique needs. It combines functionality with stunning aesthetics, making it an excellent choice for photographers who want to create a lasting impression online. The theme allows you to showcase your work in various gallery styles, and with its social media integration, you can easily share your photos across platforms to reach a broader audience. Additionally, it supports customer testimonials and reviews, allowing you to build trust with potential clients. The theme is translation-ready, making it ideal for photographers serving a global audience. Whether you’re a freelancer or part of a photography collective, the Free Wildlife WordPress Theme ensures that your website looks professional and performs seamlessly, helping you excel in the dynamic world of photography websites.',
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'about' // Unique slug for the About page
			);
			wp_insert_post($wildlife_photography_about);
		}

		// Create a Services page and assign the template
		$wildlife_photography_services_title = 'Services';
		$wildlife_photography_services_check = get_page_by_path('services');
		if (!$wildlife_photography_services_check) {
			$wildlife_photography_services = array(
				'post_type'    => 'page',
				'post_title'   => $wildlife_photography_services_title,
				'post_content'   => '"More About The Free Wildlife WordPress Theme"
									The Free Wildlife WordPress Theme is perfect for photographers eager to explore new creative frontiers. Whether you specialize in astrophotography, nature photography, or themed photography shoots, the theme’s clean and minimalist design ensures that your imagery takes center stage. Its large, high-resolution display allows every photo to shine, highlighting your unique photographic style. With integrated photography marketing tools, the Free Wildlife WordPress Theme provides an excellent platform for sharing your work across various channels, boosting visibility and engagement. Whether you\'re a seasoned professional or just starting out, the theme also supports blogging and portfolio features, making it easy to showcase your projects, tell your story, and reach a wider audience. This theme is an ideal choice for photographers looking to build a captivating online presence.

									With features tailored for photography branding, the Free Wildlife WordPress Theme empowers photographers to maintain a cohesive and professional style across their portfolios. The theme offers highly customizable headers, allowing you to display your branding in a way that aligns with your unique aesthetic. Specialized gallery options enable you to showcase your images in a visually captivating manner, whether you\'re highlighting nature photography, astrophotography, or candid shots. Ideal for photographers of all levels, this theme supports both seasoned professionals and those just starting out. If you\'re a freelance photographer, a participant in photography competitions, or simply want to share your portfolio with a broader audience, this theme makes it easy to create an engaging and visually appealing website. It’s a versatile tool for photographers looking to highlight their skills and build a strong online presence.

									Whether your focus is on candid photography, lifestyle photography, vintage photo restoration, or even astrophotography, the Free Wildlife WordPress Theme offers the flexibility to adapt to your unique needs. It combines functionality with stunning aesthetics, making it an excellent choice for photographers who want to create a lasting impression online. The theme allows you to showcase your work in various gallery styles, and with its social media integration, you can easily share your photos across platforms to reach a broader audience. Additionally, it supports customer testimonials and reviews, allowing you to build trust with potential clients. The theme is translation-ready, making it ideal for photographers serving a global audience. Whether you’re a freelancer or part of a photography collective, the Free Wildlife WordPress Theme ensures that your website looks professional and performs seamlessly, helping you excel in the dynamic world of photography websites.',
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'services' // Unique slug for the Services page
			);
			wp_insert_post($wildlife_photography_services);
		}

		// ------------------------------------------ Slider Section -------------------------------------- //

			for($i=1;$i<=3;$i++){
				set_theme_mod( 'wildlife_photography_slider_image'.$i,get_template_directory_uri().'/revolution/assets/images/slider'.$i.'.png' );
				set_theme_mod( 'wildlife_photography_slider_top_text'.$i, 'WELCOME TO Wildlife photography ' );
				set_theme_mod( 'wildlife_photography_slider_heading'.$i, 'Capture Every Moment In The Wild World' );
				set_theme_mod( 'wildlife_photography_slider_text'.$i, 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s.' );
				set_theme_mod( 'wildlife_photography_slider_button1_text'.$i, 'READ MORE' );
				set_theme_mod( 'wildlife_photography_slider_button2_text'.$i, 'BOOK NOW' );
				set_theme_mod( 'wildlife_photography_slider_button2_link'.$i, '#' );
				set_theme_mod( 'wildlife_photography_slider_button1_link'.$i, '#' );
			}

			set_theme_mod('wildlife_photography_enable_slider',1);
			set_theme_mod('wildlife_photography_gallery_sec_enable',1);


		// ------------------------------------------ Services Section -------------------------------------- //

			set_theme_mod('wildlife_photography_service_sub_heading','Our Wildlife Gallery');
			set_theme_mod('wildlife_photography_service_about_us','Lorem Ipsum is simply dummy text of the printing and typesetting industry.');
			
			set_theme_mod('wildlife_photography_banner_first_heading','Giraaf Group Animal');
			set_theme_mod('wildlife_photography_banner_first_date_time','20/12/24-01:00pm-03:00pm');

			set_theme_mod('wildlife_photography_banner_sec_heading','Rackoon Group Animal');
			set_theme_mod('wildlife_photography_banner_sec_date_time','20/12/24-01:00pm-03:00pm');
			
			set_theme_mod('wildlife_photography_banner_third_heading','Gorilla Group Animal');
			set_theme_mod('wildlife_photography_banner_third_date_time','20/12/24-01:00pm-03:00pm');

			set_theme_mod('wildlife_photography_banner_fourth_heading','Tiger Group Animal');
			set_theme_mod('wildlife_photography_banner_fourth_date_time','20/12/24-01:00pm-03:00pm');

			set_theme_mod('wildlife_photography_banner_fifth_heading','Elephant Group Animal');
			set_theme_mod('wildlife_photography_banner_fifth_date_time','20/12/24-01:00pm-03:00pm');

			set_theme_mod( 'wildlife_photography_gallery_first',get_template_directory_uri().'/revolution/assets/images/Giraaf.png' );
			set_theme_mod( 'wildlife_photography_gallery_sec',get_template_directory_uri().'/revolution/assets/images/Rackoon.png' );
			set_theme_mod( 'wildlife_photography_gallery_third',get_template_directory_uri().'/revolution/assets/images/Gorilla.png' );
			set_theme_mod( 'wildlife_photography_gallery_fourth',get_template_directory_uri().'/revolution/assets/images/Tiger.png' );
			set_theme_mod( 'wildlife_photography_gallery_fifth',get_template_directory_uri().'/revolution/assets/images/Elephant.png' );


  	 	$this->wildlife_photography_customizer_nav_menu();
  	 	$this->wildlife_photography_social_menu();
		update_option('wildlife_photography_demo_imported', true);
	}

	public function wildlife_photography_guide() {
		$display_string = '';
		$return = add_query_arg( array()) ;
		$theme = wp_get_theme( 'wildlife-photography' );
		?>
		<div class="wrapper-info get-stared-page-wrap">
			<div class="wrapper-info-content">
				<div class="buynow__">
					<h2><?php esc_html_e( 'Welcome to Wildlife Photography', 'wildlife-photography' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
					<p><?php esc_html_e('The quick setup wizard will assist you in configuring your new website. This wizard will import the demo content.', 'wildlife-photography'); ?></p>
				</div>
				<div class="buynow_">
					<a target="_blank" class="buynow_themepage" href="<?php echo esc_url('https://www.revolutionwp.com/products/wildlife-photography-wordpress-theme'); ?>"><?php echo esc_html__('Go Premium Now', 'wildlife-photography'); ?></a>
				</div>
			</div>
			<div class="tab-sec theme-option-tab">
				<div id="demo_offer" class="tabcontent open">
					<?php $this->wizard_page(); ?>
				</div>
			</div>
		</div>
	<?php }
}